class C:
	DISABLED = 0
	ENABLED = 1

	NORMAL = 0
	ALLOW = 1
	EXCLUSIVE = 2

	ALL = 0

	#Roles
	SUPERADMIN = 1
	ADMIN = 2
	INTERVIEWER = 3
	INTERVIEWEE = 4
	GROUP_TYPES = [SUPERADMIN, ADMIN, INTERVIEWER, INTERVIEWEE]

	# Duration
	HALFANHOUR = 30
	ONEHOUR = 60
	
	#Interview Status
	INTERVIEW_BOOKED = 1
	INTERVIEW_OT_INTERVIEWER_JOINED = 2
	INTERVIEW_OT_CANDIDATE_JOINED = 3
	INTERVIEW_IN_PROGRESS = 4
	INTERVIEW_INTERVIEWER_JOINED_AND_QUIT = 5
	INTERVIEW_CANDIDATE_JOINED_AND_QUIT = 6
	INTERVIEW_INTERVIEWER_TERMINATE = 7
	INTERVIEW_CANDIDATE_TERMINATE = 8
	INTERVIEW_INTERVIEWER_ONLY_JOINED = 9
	INTERVIEW_CANDIDATE_ONLY_JOINED = 10
	INTERVIEW_SUCCESSFUL = 11
	INTERVIEW_FAILED = 12
	INTERVIEW_CANCELLED = 13
	# INTERVIEW_BLOCKED = 13
	
	INTERVIEW_STATUSES = [INTERVIEW_BOOKED,INTERVIEW_OT_INTERVIEWER_JOINED,INTERVIEW_OT_CANDIDATE_JOINED,INTERVIEW_IN_PROGRESS,INTERVIEW_INTERVIEWER_JOINED_AND_QUIT,INTERVIEW_CANDIDATE_JOINED_AND_QUIT,INTERVIEW_INTERVIEWER_TERMINATE,INTERVIEW_CANDIDATE_TERMINATE,INTERVIEW_INTERVIEWER_ONLY_JOINED,INTERVIEW_CANDIDATE_ONLY_JOINED,INTERVIEW_SUCCESSFUL,INTERVIEW_FAILED]

	NOTIFICATION_JOININTERVIEWURL = 1
	NOTIFICATION_INTERVIEWFEEDBACKURL =2
	NOTIFICATION_INTERVIEW_CANCELLATION = 3
	NOTIFICATION_ASYNC_INTERVIEW_SCHEDULE = 4
	NOTIFICATION_ASYNC_INTERVIEW_CANCELLATION =5
	
	OAUTH_NONE = 0
	OAUTH_LINKEDIN = 2


	# INTERVIEW TRACKING STATUS
	INTERVIEW_TRACKING_JOIN = 'JOIN'
	INTERVIEW_TRACKING_END = 'END'
	INTERVIEW_TRACKING_RECORDING_STARTED = 'START'
	INTERVIEW_TRACKING_RECORDING_STOPPED = 'STOP'

	# ASYNC INTERVIEW TRACKING STATUS
	ASYNC_INTERVIEW_TRACKING_JOIN = 'JOIN'
	ASYNC_INTERVIEW_TRACKING_REJOIN = 'REJOIN'
	ASYNC_INTERVIEW_TRACKING_END  = 'END'



	# Max slots in a day(30 minutes = 1 slot)
	MAXDAYSLOTS = 48
	
	VC_VERIFY_EMAIL = 2
	VC_RESET_PASSWORD = 3

	# Async Interview Statuses
	ASYNC_INTERVIEW_SCHEDULED = 1
	ASYNC_INTERVIEW_CANCELLED = 2
	ASYNC_INTERVIEW_IN_PROGRESS = 3
	ASYNC_INTERVIEW_SUCCESS = 4
	ASYNC_INTERVIEW_EXPIRED = 5
	
	ASYNC_INTERVIEW_STATUSES = [ASYNC_INTERVIEW_SCHEDULED,ASYNC_INTERVIEW_CANCELLED,ASYNC_INTERVIEW_IN_PROGRESS,ASYNC_INTERVIEW_SUCCESS,ASYNC_INTERVIEW_EXPIRED]

	INTERVIEW_TYPE_FACETOFACE = 1
	INTERVIEW_TYPE_ASYNC = 2

	SHARE_INTERVIEW_VALIDITY = 6*30

	#custom categories statuses
	CC_DRAFT_STATE = 1
	CC_ACTIVE = 2
	CC_INACTIVE = 3

	# DLT Sms templates
	DLT_ASYNC_INTERVIEW_SCHEDULE = ('DLT_ASYNC_INTERVIEW_SCHEDULE','1207162465213666815')
	DLT_INTERVIEW_SCHEDULE = ('DLT_INTERVIEW_SCHEDULE','1207162465240358662')
	DLT_CANCEL_INTERVIEW = ('DLT_CANCEL_INTERVIEW','1207162465249378211')